Bug 1195142 - Modal with SessionNotFoundException after completing Human Task whose completion completes process
Summary: Modal with SessionNotFoundException after completing Human Task whose complet...
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER6
: 6.1.0
Assignee: Maciej Swiderski
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 08:39 UTC by Jan Hrcek
Modified: 2019-05-20 11:32 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
Task details empty (59.23 KB, image/png)
2015-02-23 09:02 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2015-02-23 08:39:38 UTC
Description of problem:
I have a simple "start -> HumanTask -> end" process.

When I complete that task in the task list a modal appears with the following error:
"Unexpected error encountered: org.kie.internal.runtime.manager.SessionNotFoundException: No session found for context 8"

The modal does appear only in cases when Details panel remains opened after completing task. When the details panel is automatically closed (not sure what triggers that), the error modal still appears after I reopen Details Panel (select All filter in tasks table and then click the completed task).

The error seems to appear only when PER_REQUEST and PER_PROCESS_INSTANCE runtime strategies are used. For SINGLETON strategy it seems to work OK.

There is no exception in server.log

Version-Release number of selected component (if applicable):
BPM Suite 6.1.0 ER5 deployed on EAP

How reproducible:
Always

Steps to Reproduce:
1. Start instance of simple process with just 1 Human task
2. Complete the task in task list

Actual results:
Modal with error appears. In case it doesn't appear immediately, select All filter in tasks table and click the row for completed task -> Details Panel opens and with it the error modal appear.

Expected results:
No error modals when completing tasks / seeing task details.

Additional info:

Comment 1 Jan Hrcek 2015-02-23 09:01:00 UTC
There is another symptom of this issue : Task Detail panel contains no data for such a tasks (see screenshot)

Comment 2 Jan Hrcek 2015-02-23 09:02:29 UTC
Created attachment 994318 [details]
Task details empty

Comment 3 Maciej Swiderski 2015-02-23 17:40:46 UTC
it was indeed affecting only per request and per process instance because when request or process instance is completed ksession id destroyed and by that access to runtime engine was causing this exception even though ksession was not accessed.
This was improved to delay the session id check until actually ksession is taken from runtime engine instead of when runtime engine is taken from manager.

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/ae9304204c72085d860b5a600fbd65dbf1ee507b

6.2.x:
https://github.com/droolsjbpm/jbpm/commit/765ad2a57460ac72ca4416be389c1654eb328b29

Comment 5 Jan Hrcek 2015-03-11 12:55:30 UTC
No more modal with error on process completion as described in Description. The behavior mentioned in comment 1 and 2 is expected and will not be fixed, because tasks are deleted from the DB after process is completed.

Verified with BPM Suite 6.1.0 ER6


Note You need to log in before you can comment on or make changes to this bug.